Package org.codehaus.janino

# Class Java.ModuleDeclaration

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.ModuleDeclaration

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java`

public static final class Java.ModuleDeclaration extends Java.Located
Representation of a "module declaration", as described in JLS9 7.7.

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`isOpen`
Whether this module is declared with the `open` keyword; see JLS9 7.7.
`final Java.Modifier[]`
`modifiers`
The modifiers of the module declaration; module declarations must have only annotations, no access modifiers.
`final Java.ModuleDirective[]`
`moduleDirectives`
The directives declared in this module, see JLS9 7.7.
`final String[]`
`moduleName`
The name of the declared module, see JLS9 7.7.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`ModuleDeclaration(Location location, Java.Modifier[] modifiers, boolean isOpen, String[] moduleName, Java.ModuleDirective[] moduleDirectives)`

## Method Summary

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modifiers

public final Java.Modifier[] modifiers
The modifiers of the module declaration; module declarations must have only annotations, no access modifiers.

### isOpen

public final boolean isOpen
Whether this module is declared with the `open` keyword; see JLS9 7.7.

### moduleName

public final String[] moduleName
The name of the declared module, see JLS9 7.7.

### moduleDirectives

public final Java.ModuleDirective[] moduleDirectives
The directives declared in this module, see JLS9 7.7.

## Constructor Details

### ModuleDeclaration

public ModuleDeclaration(Location location, Java.Modifier[] modifiers, boolean isOpen, String[] moduleName, Java.ModuleDirective[] moduleDirectives)